%define upstream_name    File-Dir-Dumper
%define upstream_version 0.6.6

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Writer for a stream of JSON data
License:    MIT
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Devel::CheckOS)
BuildRequires: perl(Digest)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find::Object)
BuildRequires: perl(File::Path) >= 2.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::TreeCreate)
BuildRequires: perl(Format::JSON::Stream::Reader)
BuildRequires: perl(Format::JSON::Stream::Writer)
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::String)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(autodie)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}
# Make the program work with any version of Perl.
perl -lpi -e 's{^(#!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/dir-dump
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Nov 22 2022 tv <tv> 0.6.6-1.mga9
+ Revision: 1910079
- update to 0.6.6

* Sat Nov 05 2022 tv <tv> 0.6.5-1.mga9
+ Revision: 1903856
- update to 0.6.5

* Mon Mar 21 2022 umeabot <umeabot> 0.6.4-2.mga9
+ Revision: 1814948
- Mageia 9 Mass Rebuild

* Tue Aug 31 2021 tv <tv> 0.6.4-1.mga9
+ Revision: 1743729
- update to 0.6.4

* Mon Oct 19 2020 tv <tv> 0.6.1-1.mga8
+ Revision: 1636805
- update to 0.6.1

* Tue May 12 2020 tv <tv> 0.6.0-1.mga8
+ Revision: 1583288
- update to 0.6.0

* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-3.mga8
+ Revision: 1494481
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.4.0-2.mga7
+ Revision: 1267934
- Mageia 7 Mass Rebuild

* Fri May 19 2017 shlomif <shlomif> 0.4.0-1.mga6
+ Revision: 1103303
- New upstream version 0.4.0

* Sat Dec 17 2016 shlomif <shlomif> 0.2.3-1.mga6
+ Revision: 1075802
- New upstream version 0.2.3 (new features and some bug fixes).

* Sun Jun 19 2016 pterjan <pterjan> 0.0.10-3.mga6
+ Revision: 1027294
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.0.10-2.mga6
+ Revision: 966253
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.0.10-1.mga6
+ Revision: 843158
- update to v0.0.10

* Wed Oct 15 2014 umeabot <umeabot> 0.0.9-3.mga5
+ Revision: 744900
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.0.9-1.mga5
+ Revision: 581152
- update to v0.0.9

* Sat Oct 19 2013 umeabot <umeabot> 0.0.8-4.mga4
+ Revision: 533454
- Mageia 4 Mass Rebuild

* Fri Aug 30 2013 shlomif <shlomif> 0.0.8-3.mga4
+ Revision: 473451
- Typo correction
- Made the executable work with any version of perl - including 5.18.1

* Sun Jun 02 2013 jquelin <jquelin> 0.0.8-2.mga4
+ Revision: 434475
- perl 5.18.0 rebuild

* Wed May 29 2013 shlomif <shlomif> 0.0.8-1.mga4
+ Revision: 432530
- New version 0.0.8

* Mon Mar 18 2013 jquelin <jquelin> 0.0.7-5.mga3
+ Revision: 403819
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.7-4.mga3
+ Revision: 367159
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.0.7-3.mga3
+ Revision: 315008
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 0.0.7-2.mga3
+ Revision: 283541
- perl 5.16.1 rebuild

* Fri Jun 08 2012 shlomif <shlomif> 0.0.7-1.mga3
+ Revision: 257913
- Add a BR
- New version - 0.0.7

* Sat Dec 17 2011 shlomif <shlomif> 0.0.6-2.mga2
+ Revision: 183251
- imported package perl-File-Dir-Dumper

